%global srcname ruamel-yaml-clib
%global pypi_name ruamel.yaml.clib
%global commitId 85e484db2b7c37107e4edd2ae6fc380877bbc08e

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{srcname}
Version:       0.2.6
Release:       3%{?dist}
Summary:       C based reader/scanner and emitter for ruamel.yaml

License:       MIT
URL:           https://sourceforge.net/projects/ruamel-yaml-clib
Source0:       %{srcname}-code-%{commitId}.zip

BuildRequires: gcc
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

%description
ruamel.yaml.clib is the C based reader/scanner and emitter for ruamel.yaml

%package -n python%{python3_pkgversion}-%{srcname}

Summary:       C based reader/scanner and emitter for ruamel.yaml

Requires:       python%{python3_pkgversion}-ruamel-yaml

%description -n python%{python3_pkgversion}-%{srcname}
ruamel.yaml.clib is the C based reader/scanner and emitter for ruamel.yaml

%prep
%autosetup -n %{srcname}-code-%{commitId}

%build
%{py3_build}

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python%{python3_pkgversion}-%{srcname}
%{python3_sitearch}/_ruamel_yaml.cpython-%{python3_version_nodots}-*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE
%doc README.rst

%changelog
* Fri Dec 16 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 0.2.6-3
- Bump release to surpass the pulpcore build

* Wed Dec 14 2022 Yaakov Selkowitz <yselkowi@redhat.com> - 0.2.6-2
- Rebuild for multiple architectures

* Fri Mar 18 2022 Dimitri Savineau <dsavinea@redhat.com> - 0.2.6-1
- Initial package
